import sys
import matplotlib.pyplot as plt
import numpy as np

# load the data
data=np.loadtxt(sys.argv[1]) 

# try to read the header
f=open(sys.argv[1],'r')
header=f.readline()
f.close()
header=header.split(',')
if(data[0,:].size!=len(header)):
  header = ['' for i in range(data[0,:].size)]

# first column is the variable parameter (e.g. AOT), the following columns contain radiances for different viewing direction
for i_dir in range(1,data[0,:].size):
  plt.plot(data[:,0],data[:,i_dir],label=header[i_dir])
  plt.legend(loc=2) # loc specifies location of the legend

plt.xlabel(header[0].replace('# ',''))
plt.ylabel("radiance")
plt.show()

